import request from '@/utils/request'

// 查询公司SOP权限列表
export function listCompanySopRole(query) {
  return request({
    url: '/sop/companySopRole/list',
    method: 'get',
    params: query
  })
}

// 查询公司SOP权限详细
export function getCompanySopRole(id) {
  return request({
    url: '/sop/companySopRole/' + id,
    method: 'get'
  })
}

// 新增公司SOP权限
export function addCompanySopRole(data) {
  return request({
    url: '/sop/companySopRole',
    method: 'post',
    data: data
  })
}

// 修改公司SOP权限
export function updateCompanySopRole(data) {
  return request({
    url: '/sop/companySopRole',
    method: 'put',
    data: data
  })
}

// 删除公司SOP权限
export function delCompanySopRole(id) {
  return request({
    url: '/sop/companySopRole/' + id,
    method: 'delete'
  })
}

// 导出公司SOP权限
export function exportCompanySopRole(query) {
  return request({
    url: '/sop/companySopRole/export',
    method: 'get',
    params: query
  })
}